- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# xml_chooser_base Struct Template Reference

Chooser base class. More...

Inheritance diagram for xml_chooser_base:

[legend]

List of all members.

## Detailed Description

### template<class S, class T>
struct vcsn::xml::xml_chooser_base< S, T >

Chooser base class.

All specialization should inherit from it.

- `S` Automaton structure type.
- `T` Automaton implementation type.

Definition at line 59 of file xml_chooser.hh.